Windows Store: Declared package dependency does not exist. Dependency: Microsoft.NET.Native.Framework.1.5

Had this yesterday which caused me an issue updating a Windows Store application:

"The declared package dependency does not exist.  Dependency: Microsoft.NET.Native.Framework.1.5. Minimum version: 1.5.24614.0.  Please upload the .appxupload file generated by Visual Studio for the Store."

I had already enabled compiling with .NET Native tool chain for the different platforms and was uploading the file generated by Visual Studio, so it left me scratching my head for a while.


First, double check your application configuration for Release and ensure each target platform has "Compile with .NET Native tool chain" enabled.


Then check your version of Microsoft.NETCore.UniversalWindowsPlatform nuget package.  In my case I was using v5.3.0-beta, dropping this down to 5.2.2 resolved the issue.


Once done, rebuild the application, package and upload to the store.  Hey presto, problem sorted.




Comments (1)

  1. Peter says:

    Thanks had same issue. Updating to v5.3 final solved it.

Skip to main content